/*
 Theme Name:   White Water Marine Hardware
 Theme URI:    http://themeforest.net/user/Anps/portfolio
 Description:  Custom Theme for WhiteWaterMH
 Author:       AnpsThemes
 Author URI:   http://themeforest.net/user/Anps/portfolio
 Template:     transport
 Version:      1.0.0
 License:      GNU General Public License
 License URI:  license.txt
 Tags:         responsive-layout, one-column, two-columns, three-columns, four-columns, left-sidebar, left-sidebar, custom-colors, custom-header, custom-menu, theme-options, translation-ready, threaded-comments
 Text Domain:  transport-child
*/

/* Place your custom CSS in this file */

/* Custom Instagram Feed Start */
section.custom_instafeed div.wpb_wrapper {
    display:flex;
    flex-wrap: wrap;
    position: relative !important;
    height: auto !important;
}

section.custom_instafeed div.wpb_wrapper .wpb_single_image {position: absolute !important;width: 12.5% !important;left: inherit !important;top: inherit !important;overflow: hidden;height: auto !important;display: block;max-width: 100%!important; cursor:pointer;}

section.custom_instafeed div.wpb_wrapper .wpb_single_image:before {
    content: '';
    display: block;
    padding-bottom: 100%;
}



section.custom_instafeed div.wpb_wrapper  figure.wpb_wrapper.vc_figure {
    position: absolute;
    top: 0;
    height: 100%;
    width: 100%;
}


section.custom_instafeed div.wpb_wrapper figure.wpb_wrapper.vc_figure a.vc_single_image-wrapper {
    display: flex;
    height: 100%;
    position: relative;
}

section.custom_instafeed div.wpb_wrapper figure.wpb_wrapper.vc_figure a.vc_single_image-wrapper:before {
    content: '';
    background: #104b7d;
    position: absolute;
    top: 100%;
    left: 0;
    display: block;
    height: 100%;
    width: 100%;
    transition: all linear .3s;
    opacity: 0;
    z-index:1;
}

section.custom_instafeed div.wpb_wrapper figure.wpb_wrapper.vc_figure a.vc_single_image-wrapper:hover:before {
    top: 0;
    transition: all linear .3s;
    opacity: .8;
}

section.custom_instafeed div.wpb_wrapper figure.wpb_wrapper.vc_figure a.vc_single_image-wrapper:after {
    content: '@whitewater_mh';
    color: #fff;
    position: absolute;
    top: 100%;
    left: 50%;
    display: block;
    height: 50px;
    width: auto;
    transition: all linear .3s;
    opacity: 0;
    transform:translate(-50%,-50%);
    z-index:2;
}

section.custom_instafeed div.wpb_wrapper figure.wpb_wrapper.vc_figure a.vc_single_image-wrapper:hover:after {
    transition: all linear .3s;
    opacity: .8;
    top:50%;
}

section.custom_instafeed div.wpb_wrapper .wpb_single_image:first-child {
    width: 25% !important;
    top: 0px !important;
}

section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(2) {
    left:25% !important;
    top:0px !important;
}
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(3) {
    left:37.5% !important;
    top:0px !important;
}

section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(4) {
    left:25% !important;
    top:50% !important;
}
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(5) {
    left:37.5% !important;
    top:50% !important;
}

section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(6) {
    width: 25% !important;
    left:50% !important
}

section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(7) {
    left:75% !important;
    top:0px !important;
}
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(8) {
    left:87.5% !important;
    top:0px !important;
}

section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(9) {
    left:75% !important;
    top:50% !important;
}
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(10) {
    left:87.5% !important;
    top:50% !important;
}

section.custom_instafeed div.wpb_wrapper:before {
    content: '';
    padding-bottom: 25%;
    display: block;
    width: 100%;
}

section.custom_instafeed  div#eMorePosts {
    display: none !important;
}

section.custom_instafeed   p.te_chtrLimits.te_emojiApplied.te_line3 {
    display: none !important;
}




section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(11),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(12),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(13),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(14),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(15),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(16),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(17),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(18),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(19),
section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(20){display:none !important}



@media (max-width:992px){
    section.custom_instafeed div.wpb_wrapper .wpb_single_image {position: absolute !important;width: 25% !important;}
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:first-child {
        width: 50% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(2) {
        left:50% !important;
        top:0px !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(3) {
        left:75% !important;
        top:0px !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(4) {
        left:50% !important;
        top:25% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(5) {
        left:75% !important;
        top:25% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(6) {
        width: 50% !important;
        left:0% !important;
        top:50% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(7) {
        left:50% !important;
        top:50% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(8) {
        left:75% !important;
        top:50% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(9) {
        left:50% !important;
        top:75% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(10) {
        left:75% !important;
        top:75% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper:before {
        content: '';
        padding-bottom: 100% !important;
    }
        
}

@media (max-width:640px){
    section.custom_instafeed div.wpb_wrapper .wpb_single_image {position: absolute !important;width: 50% !important;}
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:first-child {
        width: 100% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(2) {
        left:0% !important;
        top: 25% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(3) {
        left:50% !important;
        top: 25% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(4) {
        left:0% !important;
        top: 37.5% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(5) {
        left:50% !important;
        top: 37.5% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(6) {
        width: 100% !important;
        left:0% !important;
        top: 50% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(7) {
        left:0% !important;
        top: 75% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(8) {
        left: 50% !important;
        top: 75% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(9) {
        left: 0% !important;
        top: 87.5% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper .wpb_single_image:nth-child(10) {
        left: 50% !important;
        top: 87.5% !important;
    }
    
    section.custom_instafeed div.wpb_wrapper:before {
        content: '';
        padding-bottom: 400% !important;
    }
        
}
/* Custom Instagram Feed End */

